Subject: Re: [PATCH RFC-v5 bpf-next 00/12] Add support for XDP in egress path

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 17 Apr 2020 11:28:26 +0200

David Ahern <[email-masked]> writes:

> On 4/16/20 7:59 AM, Toke Høiland-Jørgensen wrote:
>> 
>> I like the choice of hook points. It is interesting that it implies that
>> there will not be not a separate "XDP generic" hook on egress. And it's
>> certainly a benefit to not have to change all the drivers. So that's
>> good :)
>> 
>> I also think it'll be possible to get the information we want (such as
>> TXQ fill level) at the places you put the hooks. For the skb case
>> through struct netdev_queue and BQL, and for REDIRECT presumably with
>> Magnus' queue abstraction once that lands. So overall I think we're
>> getting there :)
>> 
>> I'll add a few more comments for each patch...
>> 
>
> thanks for reviewing.
>
> FYI, somehow I left out a refactoring patch when generating patches to
> send out. Basically moves existing tb[IFLA_XDP] handling to a helper
> that can be reused for tb[IFLA_XDP_EGRESS]
>
> https://github.com/dsahern/linux/commit/71011b5cf6f8c1bca28a6afe5a92be59152a8219

Ah yes, makes sense. I skipped over the netlink patches fairly quickly,
so didn't notice this was missing. I guess this also answers the
question "what about netlink policy for the new nested attribute", right? :)

-Toke